%global checkout 20121128svn

Summary: Driver for QPDL/SPL2 printers (Samsung and several Xerox printers)
Name: splix
Version: 2.0.1
Release: 0.13.%{checkout}%{?dist}
License: GPLv2
Group: System Environment/Base
URL: http://splix.sourceforge.net/

# This is a SVN snapshot downloaded via
# http://splix.svn.sourceforge.net/viewvc/splix/splix/?view=tar
# and renamed to follow naming guidelines
Source0: splix-%{version}.%{checkout}.tar.gz

# IEEE 1284 Device IDs
Patch0:  splix-deviceID.patch

Requires: cups

# _cups_serverbin macro
BuildRequires: cups-devel

# postscriptdriver tags
BuildRequires: python-cups, cups

# JBIG1 lossless image compression
BuildRequires: jbigkit-devel

%description
This driver is usable by all printer devices which understand the QPDL
(Quick Page Description Language) also known as SPL2 (Samsung Printer Language)
language. It covers several Samsung, Xerox and Dell printers.
Splix doesn't support old SPL(1) printers.

%prep
%setup -q -n splix

pushd ppd
# rename *.drv to *.drv.in
for i in *.drv; do mv $i ${i}.in; done
# remove old PPDs
make distclean
popd

%patch0 -p1 -b .deviceID

%build
pushd ppd
make drv
popd

CXXFLAGS="%{optflags} -fno-strict-aliasing" \
make all V=1 DRV_ONLY=1 %{?_smp_mflags}

%install
make install DRV_ONLY=1 CUPSDRV=%{_datadir}/cups/drv/splix DESTDIR=%{buildroot}

%files
%doc COPYING AUTHORS ChangeLog THANKS
%{_cups_serverbin}/filter/pstoqpdl
%{_cups_serverbin}/filter/rastertoqpdl
%{_datadir}/cups/drv/splix

%changelog
* Wed Mar 06 2013 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.13.20121128svn
- Add Device IDs for Samsung ML-2250/2510, Xerox Phaser 3117/3120/3130

* Tue Mar  5 2013 Tim Waugh <twaugh@redhat.com> - 2.0.1-0.12.20121128svn
- Build requires cups for postscriptdriver tags (bug #917333).

* Wed Nov 28 2012 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.11.20121128svn
- latest svn snapshot

* Wed Oct 17 2012 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.10.20120419svn
- Add Device ID for Xerox Phaser 3124 (#867392).

* Tue Sep 25 2012 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.9.20120419svn
- Add Device ID for Samsung ML-2525 (#859669).

* Thu Apr 19 2012 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.8.20120419svn
- Latest upstream snapshot: all patches and changes merged upstream !
- Build splix with JBIG1 support and install DRV files instead of PPD files.
- Add Device ID for Samsung ML-2010 (#807308).

* Wed Jan 18 2012 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.7.20111121svn
- Add Device ID for Samsung ML-1660.

* Wed Nov 30 2011 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.6.20111121svn
- Install splix PPDs into separate directory.
- Added patch for compiling/installing DRVs instead of PPDs.
  However we still ship only selected PPDs instead of DRVs as some printers
  require JBIG1 support.

* Tue Nov 29 2011 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.5.20111121svn
- Re-compile PPD files.

* Mon Nov 28 2011 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.4.20111121svn
- Add Device ID for Samsung ML-1610.

* Tue Nov 22 2011 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.3.20111121svn
- Include more files into documentation (#755069).

* Mon Nov 21 2011 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.2.20111121svn
- Download only trunk from upstream SVN repository.

* Fri Nov 18 2011 Jiri Popelka <jpopelka@redhat.com> - 2.0.1-0.1.20111118svn
- Initial spec file.
